Forum

Forum feed

[gelöst!!]Installfehler ZK 1.3.3 nach Update des Servers  Unten

  • Nach der Neuinstallation des Firmenwebservers ( Neuer Apache, MySQl und PHP wegen großen Sicherheitsmängeln in den älteren Versionen
    siehe
    MySQL-Datenbank-Zugang auch ohne Passwort

    http:// http://…t-1614987.html
    sowie
    PHP-Update sorgt für Sicherheit
    http://www.heis…t-1618687.html )

    Nun kommt bei der Installation von Zikula 1.3.3 folgende Fehlermeldung
    Strict Standards: Declaration of pnFormRender::execute() should be compatible with Zikula_Form_View::execute($template, Zikula_Form_AbstractHandler $eventHandler) in htdocs\xxx\lib\legacy\Compat.php on line 529

    Die Fehlermeldung bleibt auch nach der Installation.

    Wie behebe ich das da der Chef schon meckert da es nicht schön aussieht :)

    Anmerkung: Installiert ist jetzt
    Apache (2.4.2)
    MySQL (5.5.25)
    PHP (5.4.4)
    phpMyAdmin (3.5.1)



    Bearbeitet von JimKnopf am 17. Jun 2012 - 20:19.

    For WINDOWS problems reboot | For LINUX problems be root!!
  • Servus,
    um den Chef erst mal zu besänftigen könntest du in der config.php das PHP logging ausschalten.
    Is aber nur Kosmetik und bringt dich technisch gesehen nicht im geringsten der Lösung näher.
    Aber ein ruhiger Chef hilft ungemein icon_smile

    Bei dem Fehler kann ich leider nicht helfen.

    Gruß Sebastian
  • Schuss ins Blaue..... icon_rolleyes

    schau mal in die config...ist eines von beiden auf true gesetzt?
    Wenn ja, setze das oder beides mal probehalber auf false!

    $ZConfig['System']['legacy_prefilters'] = ?
    $ZConfig['System']['compat_layer'] = ?

  • Mr.Montesa
    danke dein Ansatz rettete mein Vormittag im Büro :) Der Chef hat gleich kontrolliert.

    Portugao
    Treffer icon_smile

    beides war auf true.... Bei beiden auf false und die Meldung war weg. Ob das jetzt die Lösung ist, weiß ich nicht.

    Habe beim durchsehen des Apache und von MySQL aber noch einiges gefunden. Bei MySQL ist einiges standartmässig deaktiviert. Muss mich da aber erst einlesen. Kann also gut sein das es gar nichts mit Zikula zu tun hat.

    Trotzdem danke an beide....
    Soll ich auf gelöst stellen? icon_smile

    For WINDOWS problems reboot | For LINUX problems be root!!
  • JimKnopf



    Portugao
    Treffer icon_smile

    beides war auf true.... Bei beiden auf false und die Meldung war weg. Ob das jetzt die Lösung ist, weiß ich nicht.

    Habe beim durchsehen des Apache und von MySQL aber noch einiges gefunden. Bei MySQL ist einiges standartmässig deaktiviert. Muss mich da aber erst einlesen. Kann also gut sein das es gar nichts mit Zikula zu tun hat.

    Trotzdem danke an beide....
    Soll ich auf gelöst stellen? icon_smile


    Ich denke, es hat damit zu tun, dass mit den beiden Einstellungen = true in der Config altes Zeug aus Postnukezeiten geladen wird und dieses mit der neuen Php Version 5.4.x kollidiert.

    Wenn die Seite mit 2x false stabil und problemlos läuft.....? -> gelöst, oder?

  • 0 Benutzer

Diese Angaben basieren auf den Useraktivitäten der letzten 30 Minuten.